#:kivy 1.0

<UI>:
  cur_cam: 0
  camera: camera_wid

  BoxLayout:
    orientation: 'vertical'
    canvas.before:
      Color:
        rgba: 128/255, 128/255, 128/255, 1
      Rectangle:
        pos: self.pos
        size: self.size

    ActionBar:
      orientation: 'horizontal'
      height: 80
      background_image: ''
      background_color: [169/255, 169/255, 169/255, 1]

      ActionView:
        ActionPrevious:
          title: ''
          with_previous: False
          app_icon: 'src/icons/app/Logo_long.png'

        HLGroup:
          text: 'Camera'
          color: [0, 0, 0, 1]
          mode: 'spinner'
          border: [20,10,20,10]

          ActionButton:
            text: 'Open camera'
            color: [ 0, 0, 0, 1 ]
            background_color: [242, 242, 242, 1]
            on_press: root.open_camera(root)

          ActionButton:
            text: 'Close'
            color: [ 0, 0, 0, 1 ]
            background_color: [242, 242, 242, 1]
            on_press: root.close_camera(root)

          ActionButton:
            text: 'Show camera'
            color: [ 0, 0, 0, 1 ]
            background_color: [242, 242, 242, 1]
            on_press: root.show_camera(root)

          ActionButton:
            text: 'Change'
            color: [ 0, 0, 0, 1 ]
            background_color: [ 242, 242, 242, 1 ]
            on_press: root.change_camera(root)

        HLGroup:
          text: 'Hands'
          color: [ 0, 0, 0, 1 ]
          mode: 'spinner'
          border: [20, 10, 20, 10]

          ActionButton:
            text: 'Show hands'
            color: [ 0, 0, 0, 1 ]
            background_color: [242, 242, 242,1]
            on_press: root.show_hands(root)

        HLGroup:
          text: 'Gesture control'
          color: [ 0, 0, 0, 1 ]
          mode: 'spinner'
          border: [20, 10, 20, 10]

          ActionButton:
            text: 'Show gesture'
            color: [ 0, 0, 0, 1 ]
            background_color: [ 242, 242, 242, 1 ]
            on_press: root.show_gesture(root)

    RecognitionView:
      pos_hint: {"center_x": .5, "center_y": .5}
      id: camera_wid
      index: root.cur_cam
      play: True
      show_hands: True
